************************************************************************
*								       *
*		Serenade for Windows95/98/NT4 include file	       *
*								       *
*	Copyright (C) 1999-2003	S. Suei All rights reserved.	       *
*			1999/10/31 Version1.1Beta		       *
*			2003/12/06 Version2.0			       *
*			2007/07/03 Version2.2			       *
*								       *
************************************************************************
*
*				*** interface statement
*
      INTERFACE
*
      SUBROUTINE PLSIZE(XL,YL,UNIT)
!MS$ATTRIBUTES DLLIMPORT, ALIAS:'_plsize' :: plsize
      REAL*8 XL,YL
      CHARACTER*(*) UNIT
      END SUBROUTINE PLSIZE
*
      SUBROUTINE PLEXIT
!MS$ATTRIBUTES DLLIMPORT, ALIAS:'_plexit' :: plexit
      END SUBROUTINE PLEXIT
*
      SUBROUTINE PLOT(X,Y,N)
!MS$ATTRIBUTES DLLIMPORT, ALIAS:'_plot' :: plot
      REAL*8 X,Y
      INTEGER*4 N
      END SUBROUTINE PLOT
*
      SUBROUTINE NEWPEN(N)
!MS$ATTRIBUTES DLLIMPORT, ALIAS:'_newpen' :: newpen
      INTEGER*4 N
      END SUBROUTINE NEWPEN
*
      SUBROUTINE SYMBOL(X,Y,H,C,DEG,N)
!MS$ATTRIBUTES DLLIMPORT, ALIAS:'_symbol' :: symbol
      REAL*8 X,Y,H,DEG
      CHARACTER*(*) C
      INTEGER*4 N
      END SUBROUTINE SYMBOL
*
      SUBROUTINE MDSYMB(X,Y,H,C,DEG,N)
!MS$ATTRIBUTES DLLIMPORT, ALIAS:'_mdsymb' :: mdsymb
      REAL*8 X,Y,H,DEG
      CHARACTER*(*) C
      INTEGER*4 N
      END SUBROUTINE MDSYMB
*
      SUBROUTINE RTSYMB(X,Y,H,C,DEG,N)
!MS$ATTRIBUTES DLLIMPORT, ALIAS:'_rtsymb' :: rtsymb
      REAL*8 X,Y,H,DEG
      CHARACTER*(*) C
      INTEGER*4 N
      END SUBROUTINE RTSYMB
*
      SUBROUTINE NUMBER(X,Y,H,V,DEG,N)
!MS$ATTRIBUTES DLLIMPORT, ALIAS:'_number' :: number
      REAL*8 X,Y,H,V,DEG
      INTEGER*4 N
      END SUBROUTINE NUMBER
*
      SUBROUTINE GENTEN(X,Y)
!MS$ATTRIBUTES DLLIMPORT, ALIAS:'_genten' :: genten
      REAL*8 X,Y
      END SUBROUTINE GENTEN
*
      SUBROUTINE FACTOR(R)
!MS$ATTRIBUTES DLLIMPORT, ALIAS:'_factor' :: factor
      REAL*8 R
      END SUBROUTINE FACTOR
*
      SUBROUTINE CIRCLE(X,Y,THO,THF,RO,RF,DL)
!MS$ATTRIBUTES DLLIMPORT, ALIAS:'_circle' :: circle
      REAL*8 X,Y,THO,THF,RO,RF,DL
      END SUBROUTINE CIRCLE
*
      SUBROUTINE DASH(XO,YO,XF,YF,DL)
!MS$ATTRIBUTES DLLIMPORT, ALIAS:'_dash' :: dash
      REAL*8 XO,YO,XF,YF,DL
      END SUBROUTINE DASH
*
      SUBROUTINE PLHALT
!MS$ATTRIBUTES DLLIMPORT, ALIAS:'_plhalt' :: plhalt
      END SUBROUTINE PLHALT
*
      SUBROUTINE PLMSG(C)
!MS$ATTRIBUTES DLLIMPORT, ALIAS:'_plmsg' :: plmsg
      CHARACTER*(*) C
      END SUBROUTINE PLMSG
*
      SUBROUTINE PLREAD(PROMPT,TEXT,N)
!MS$ATTRIBUTES DLLIMPORT, ALIAS:'_plread' :: plread
      CHARACTER*(*) PROMPT,TEXT
      INTEGER*4 N
      END SUBROUTINE PLREAD
*
      SUBROUTINE PLFONT(N)
!MS$ATTRIBUTES DLLIMPORT, ALIAS:'_plfont' :: plfont
      INTEGER*4 N
      END SUBROUTINE PLFONT
*
      SUBROUTINE PLADDP(X,Y)
!MS$ATTRIBUTES DLLIMPORT, ALIAS:'_pladdp' :: pladdp
      REAL*8 X,Y
      END SUBROUTINE PLADDP
*
      SUBROUTINE PLCLPT(N)
!MS$ATTRIBUTES DLLIMPORT, ALIAS:'_plclpt' :: plclpt
      INTEGER*4 N
      END SUBROUTINE PLCLPT
*
      SUBROUTINE PLRGBP(R,G,B,N)
!MS$ATTRIBUTES DLLIMPORT, ALIAS:'_plrgbp' :: plrgbp
      REAL*8 R,G,B
      INTEGER*4 N
      END SUBROUTINE PLRGBP
*
      SUBROUTINE pl_SetRGB(R,G,B)
!MS$ATTRIBUTES DLLIMPORT, ALIAS:'_pl_SetRGB' :: pl_SetRGB
      REAL*8 R,G,B
      END SUBROUTINE pl_SetRGB
*
      SUBROUTINE pl_SetWidth(W)
!MS$ATTRIBUTES DLLIMPORT, ALIAS:'_pl_SetWidth' :: pl_SetWidth
      REAL*8 W
      END SUBROUTINE pl_SetWidth
*
      END INTERFACE
